/*
 * ipwstatus for IPWireless USB Modem
 *
 * Authors:
 *   Stephen Blackheath <stephen@blacksapphire.com>,
 *   Ben Martel (benm@symmetric.co.nz>
 *
 *   Copyright (C) 2004 by Symmetric Systems Ltd (NZ)
 *
 * Released under the GNU General Public Licence
 */

#ifndef _MODEM_COMM_H_
#define _MODEM_COMM_H_

int modem_init(char *device_name, int defaultTimeoutSecs_);
int modem_write(int fd, char* command, int commandLen);
int modem_issue_long(int fd, char* command, char* answer, int answerBufLen, int verbose, int timeoutSecs);
int modem_issue(int fd, char* command, char* answer, int answerBufLen, int verbose);
int modem_close(int fd);

#endif

